# Third Party Packages

A list of third party packages with integration with MLJ.

Last updated December 2020.

Pull requests to update this list are very welcome. Otherwise, you may
post an issue requesting this
[here](https://github.com/alan-turing-institute/MLJ.jl/issues).

## Packages providing models in the MLJ model registry

- [ScikitLearn.jl](https://github.com/cstjean/ScikitLearn.jl)
- [DecisionTree.jl](https://github.com/bensadeghi/DecisionTree.jl)
- [MultivariateStats.jl](https://github.com/JuliaStats/MultivariateStats.jl)
- [MLJModels.jl](https://github.com/alan-turing-institute/MLJModels.jl)
- [MLJLinearModels.jl](https://github.com/alan-turing-institute/MLJLinearModels.jl)
- [LIBSVM.jl](https://github.com/mpastell/LIBSVM.jl)
- [EvoTrees.jl](https://github.com/Evovest/EvoTrees.jl)
- [NaiveBayes.jl](https://github.com/dfdx/NaiveBayes.jl)
- [MLJFlux.jl](https://github.com/alan-turing-institute/MLJFlux.jl) (depending on [Flux.jl](https://github.com/FluxML/Flux.jl))
- [Clustering.jl](https://github.com/JuliaStats/Clustering.jl)
- [ParallelKMeans.jl](https://github.com/PyDataBlog/ParallelKMeans.jl)
- [NearestNeighborModels.jl](https://github.com/alan-turing-institute/NearestNeighborModels.jl) (depending on [NearestNeighbors.jl](https://github.com/KristofferC/NearestNeighbors.jl))
- [PartialLeastSquaresRegressor.jl](https://github.com/lalvim/PartialLeastSquaresRegressor.jl)
- [LightGBM.jl](https://github.com/IQVIA-ML/LightGBM.jl)
- [GLM.jl](https://github.com/JuliaStats/GLM.jl)
- [XGBoost.jl](https://github.com/dmlc/XGBoost.jl)
- [BetaML.jl](https://github.com/sylvaticus/BetaML.jl)

## Providing unregistered models:

- [SossMLJ.jl](https://github.com/cscherrer/SossMLJ.jl)
- [TimeSeriesClassification](https://github.com/alan-turing-institute/TimeSeriesClassification.jl)

## Packages providing other kinds of functionality:

- [TreeParzen.jl](https://github.com/IQVIA-ML/TreeParzen.jl) (hyper-parameter optimisation strategy)
- [Shapley.jl](https://gitlab.com/ExpandingMan/Shapley.jl) (feature ranking / interpretation)
- [ShapML.jl](https://github.com/nredell/ShapML.jl) (feature ranking / interpretation)
- [Fairness.jl](https://github.com/ashryaagr/Fairness.jl) (FAIRness metrics)
